DEBCONF-APT-PROGRESS.RO.1(1)

NUME
debconf-apt-progress - instalează pachete folosind debconf pentru a afișa o bară de progres

SINOPSIS
 debconf-apt-progress [--] comanda [argumente ...]
 debconf-apt-progress --config
 debconf-apt-progress --start
 debconf-apt-progress --from waypoint --to waypoint [--] comanda [argumente ...]
 debconf-apt-progress --stop

DESCRIERE
debconf-apt-progress instalează pachete utilizând debconf pentru a afișa o bară de progres. comanda dată ar trebui să fie orice interfață apt din linia de comandă; în special, trebuie să trimită informații despre progres către descriptorul de fișier selectat de opțiunea de configurare "APT::Status-Fd" și trebuie să mențină deschise descriptoarele de fișier nominalizate de opțiunea de configurare "APT::Keep-Fds" atunci când se apelează debconf (direct sau indirect), deoarece acele descriptoare de fișier vor fi utilizate pentru protocolul „passthrough” (de trecere la) debconf.

Argumentele comenzii pe care o furnizați ar trebui să includă, în general, -y (pentru apt-get sau aptitude) sau ceva similar pentru a evita ca interfața apt să solicite informații. debconf-apt-progress nu poate face acest lucru deoarece argumentul adecvat poate diferi de la o interfață apt la alta.

Opțiunile --start, --stop, --from și --to pot fi utilizate pentru a crea o bară de progres cu mai multe segmente pentru diferite etape de instalare, cu condiția ca apelantul să fie un modul de configurare „confmodule” debconf. Apelantul poate, de asemenea, să interacționeze cu bara de progres în sine utilizând protocolul debconf, dacă dorește acest lucru.

debconf își blochează baza de date de configurare atunci când pornește, ceea ce face ca, din păcate, să nu fie convenabil ca o instanță a debconf să afișeze bara de progres și o alta să transmită întrebări de la pachetele în curs de instalare. Dacă utilizați o bară de progres cu mai multe segmente, va trebui să evaluați rezultatul opțiunii --config înainte de a porni interfața debconf pentru a rezolva această problemă. Consultați "EXEMPLELE din secțiunea EXEMPLE" de mai jos.

OPȚIUNI

--config
    Afișează variabilele de mediu necesare pentru a porni o interfață cu bara de progres.

--start
    Pornește o bară de progres, care rulează implicit de la 0 la 100. Utilizați --from și --to pentru a utiliza alte puncte finale.

--from punct-de-reper
    Dacă este utilizată cu --start, bara de progres începe la punct-de-reper în loc de 0.

    În caz contrar, instalează pachetele cu bara lor de progres începând de la acest „punct de reper”. Trebuie să fie utilizată cu --to.

--to punct-de-reper
    Dacă este utilizată cu --start, bara de progres se termină la punct-de-reper în loc de 100.

    În caz contrar, instalează pachetele a căror bară de progres se termină la acest „punct-de-reper”. Trebuie să fie utilizată împreună cu --from.

--stop
    Oprește o bară de progres care rulează.

--no-progress
    Evită pornirea, oprirea sau parcurgerea pas cu pas a barei de progres. Mesajele de progres de la apt, evenimentele de schimbare a suportului media și întrebările debconf vor fi transmise în continuare către debconf.

--dlwaypoint procent
    Specifică ce procent din bara de progres să fie utilizat pentru descărcarea pachetelor. Restul va fi utilizat pentru instalarea pachetelor. Valoarea implicită este de a utiliza 15% pentru descărcare și restul de 85% pentru instalare.

--logfile  fișier
    Trimite ieșirea normală de la apt către fișierul dat.

--logstderr
    Trimite ieșirea normală de la apt la ieșirea de eroare standard. Dacă nu furnizați nici --logfile, nici --logstderr, ieșirea normală de la apt va fi eliminată.

--  Semnalează terminarea opțiunilor. Deoarece în mod normal va trebui să oferiți cel puțin argumentul -y comenzii care se execută, de obicei va trebui să utilizați -- pentru a preveni interpretarea acestuia ca opțiune pentru debconf-apt-progress.

EXEMPLE
Instalați biroul GNOME și un mediu de dezvoltare cu sistemul de ferestre X în cadrul unei bare de progres:

 debconf-apt-progress -- aptitude -y install gnome x-window-system-dev

Instalați birourile GNOME, KDE și XFCE în cadrul unei singure bare de progres, alocând 45% din bara de progres pentru GNOME, alte 45% pentru KDE și restul de 10% pentru XFCE:

 #! /bin/sh
 set -e
 case $1 in
   '')
     eval "$(debconf-apt-progress --config)"
     "$0" debconf
     ;;
   debconf)
     . /usr/share/debconf/confmodule
     debconf-apt-progress --start
     debconf-apt-progress --from 0 --to 45 -- apt-get -y install gnome
     debconf-apt-progress --from 45 --to 90 -- apt-get -y install kde
     debconf-apt-progress --from 90 --to 100 -- apt-get -y install xfce4
     debconf-apt-progress --stop
     ;;
 esac

COD DE RETURNARE
Este returnat codul de ieșire al comenzii specificate, cu excepția cazului în care utilizatorul a apăsat butonul de anulare de la bara de progres. Dacă butonul de anulare a fost apăsat, se returnează o valoare de 30. Pentru a evita ambiguitatea, dacă comanda a returnat 30, se va returna o valoare de 3.

AUTORI
Colin Watson <cjwatson@debian.org>

Joey Hess <joeyh@debian.org>

TRADUCERE
Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>, 2024

Dacă găsiți o greșeală în traducere, vă rugăm să o raportați autorului acestei traduceri, pe lista de discuții <debian-l10n-romanian@lists.debian.org> sau trimițând un raport de eroare contra pachetului „debconf” către sistemul de urmărire al erorilor din Debian (BTS).